//
//  opcoderPlugin.h
//  opcoder
//
//  Created by Dustin O'Connor on 5/12/11.
//  Copyright 2011 umaine. All rights reserved.
//
#import <AppKit/NSSpeechSynthesizer.h>
#import <Quartz/Quartz.h>

@interface opcoderPlugIn : QCPlugIn <NSSpeechSynthesizerDelegate> {
@private
    NSSpeechSynthesizer*			_synthetizer;
    double code;
    
}

@property(assign) NSString* inputText;
@property(assign) NSString* inputVoice;
@property double code;
@property double outputOpcode;
@property BOOL inputRun;
@property double inputRate;


- (void)speechSynthesizer:(NSSpeechSynthesizer *)sender didFinishSpeaking:(BOOL)success;
- (void)speechSynthesizer:(NSSpeechSynthesizer *)sender willSpeakWord:(NSRange)wordToSpeak ofString:(NSString *)text;
- (void)speechSynthesizer:(NSSpeechSynthesizer *)sender willSpeakPhoneme:(short)phonemeOpcode;

@end
